summaryrefslogtreecommitdiff
path: root/source3/script
diff options
context:
space:
mode:
authorGünther Deschner <gd@samba.org>2010-07-05 15:24:27 +0200
committerGünther Deschner <gd@samba.org>2010-07-05 15:41:33 +0200
commitcb52b1ad99e17c09d4c429a780f30772efd6eaf9 (patch)
tree9d65d68f6c40a702d5d336fbf8a17ddef5b66bc1 /source3/script
parent6071ca9daed6e18302da546e5de0c7b1d282bbd2 (diff)
downloadsamba-cb52b1ad99e17c09d4c429a780f30772efd6eaf9.tar.gz
samba-cb52b1ad99e17c09d4c429a780f30772efd6eaf9.tar.bz2
samba-cb52b1ad99e17c09d4c429a780f30772efd6eaf9.zip
s3-idl: support --full for s3 build_idl.sh as well.
Guenther
Diffstat (limited to 'source3/script')
-rwxr-xr-xsource3/script/build_idl.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/source3/script/build_idl.sh b/source3/script/build_idl.sh
index 8877913137..8f88588765 100755
--- a/source3/script/build_idl.sh
+++ b/source3/script/build_idl.sh
@@ -1,5 +1,12 @@
#!/bin/sh
+if [ "$1" = "--full" ]; then
+ FULL=1
+ shift 1
+else
+ FULL=0
+fi
+
ARGS="--includedir=../librpc/idl --outputdir $PIDL_OUTPUTDIR --header --ndr-parser --samba3-ndr-server --samba3-ndr-client $PIDL_ARGS --"
IDL_FILES="$*"
@@ -10,6 +17,12 @@ cd ${srcdir}
PIDL="$PIDL $ARGS"
+if [ $FULL = 1 ]; then
+ echo "Rebuilding all idl files"
+ $PIDL $IDL_FILES || exit 1
+ exit 0
+fi
+
##
## Find newer files rather than rebuild all of them
##